Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007296opensim[REGION] Script Functionspublic2014-08-08 10:312014-08-22 15:49
Reporterkcozens 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007296: Add ability to restrict destination of email sent via llEmail to avatars email address
DescriptionOpenSim can be configured to send email via the llEmail() function if the SMTP section is configured and it is enabled. This opens up the possibility that a griefer or spammer could use the function to send out lots of spam. It would be nice if there was a setting that would make llEmail only send messages to a the email address associated with an avatars user account.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32
Mono Version3.2
Viewer
Attached Filespatch file icon 0001-Added-RestrictEmail-to-make-llEmail-only-send-to-ava.patch [^] (4,163 bytes) 2014-08-08 20:33 [Show Content]

- Relationships

-  Notes
(0026676)
kcozens (administrator)
2014-08-08 10:39

I have attached a patch that adds "RestrictEmail" as a configuration option to the LL-Functions section of the OpenSimDefaults.ini file. When this variable is set to true the email address passed in llEmail is ignored and the email address in an avatars user account will be used as the destination address. The default value for the option is off and allows llEmail to send mail to any valid email address used in the function call.
(0026749)
kcozens (administrator)
2014-08-14 11:52

Push the attached patch with one minor change. The default value of m_internalObjectHost was changed to "lsl.opensim.local" to match the value used in the EmailModule.cs file.

commit 626536b8cc525deacf66ad98a09ebc7f94ffee31
Author: Kevin Cozens <kevin@ve3syb.ca>
Date: Fri Aug 8 16:44:22 2014 -0400

    Added RestrictEmail to make llEmail only send to avatars email address if true.

- Issue History
Date Modified Username Field Change
2014-08-08 10:31 kcozens New Issue
2014-08-08 10:32 kcozens File Added: 0001-Added-RestrictEmail-to-make-llEmail-only-send-to-ava.patch
2014-08-08 10:39 kcozens Note Added: 0026676
2014-08-08 10:39 kcozens Status new => patch included
2014-08-08 20:33 kcozens File Deleted: 0001-Added-RestrictEmail-to-make-llEmail-only-send-to-ava.patch
2014-08-08 20:33 kcozens File Added: 0001-Added-RestrictEmail-to-make-llEmail-only-send-to-ava.patch
2014-08-14 11:52 kcozens Note Added: 0026749
2014-08-22 15:49 justincc Status patch included => closed
2014-08-22 15:49 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker